NX Open C++ Reference Guide
|
Represents a CAE::ElementExtrudeBuilder
To create a new instance of this class, use CAE::NodeElementManager::CreateElementExtrudeBuilder
Created in NX5.0.0.
More...
Public Types | |
enum | DistanceType { DistanceTypePerCopy, DistanceTypeTotal } |
Distance option. More... | |
enum | ElemDimType { ElemDimTypeBeam, ElemDimTypeShell } |
Dimension of element to be created. More... | |
enum | MethodType { MethodTypeVector, MethodTypePath, MethodTypeProjSurface, MethodTypeElemNormal } |
Extrusion method. More... | |
enum | NewMeshType { NewMeshTypeCreate, NewMeshTypeExisting } |
Option to create new mesh or add to existing mesh. More... | |
Public Member Functions | |
NXString | CollectorName () |
Returns the mesh collector name Created in NX5.0.0. | |
NXOpen::Expression * | Distance () |
Returns the distance Created in NX5.0.0. | |
NXOpen::CAE::ElementExtrudeBuilder::DistanceType | DistanceOption () |
Returns the distance option Created in NX5.0.0. | |
NXOpen::CAE::SelectCAEEdge * | Edge () |
Returns the edge when extrude along path Created in NX5.0.0. | |
NXOpen::CAE::ElementExtrudeBuilder::ElemDimType | ElementDimensionOption () |
Returns the element dimension option Created in NX5.0.0. | |
NXOpen::CAE::SelectElementsBuilder * | Elements () |
Returns the selected elements Created in NX5.0.0. | |
NXOpen::CAE::ElementTypeBuilder * | ElementType () |
Returns the element type builder. | |
NXOpen::CAE::SelectCAEFaceList * | Face () |
Returns the face when extrude by project to surface Created in NX5.0.0. | |
void | Flip () |
Flip the direction of extrude - not journalled Created in NX5.0.0. | |
int | FlipState () |
Returns the flip state from the builder Created in NX5.0.0. | |
int | Increment () |
Returns the increment Created in NX5.0.0. | |
int | Label () |
Returns the label Created in NX5.0.0. | |
NXString | MeshName () |
Returns the mesh name Created in NX5.0.0. | |
NXOpen::CAE::ElementExtrudeBuilder::MethodType | MethodOption () |
Returns the method option Created in NX5.0.0. | |
NXString | NeutralName () |
Returns the element neutral name Created in NX5.0.0. | |
NXOpen::CAE::ElementExtrudeBuilder::NewMeshType | NewMeshOption () |
Returns the new mesh option Created in NX5.0.0. | |
int | NumberOfCopy () |
Returns the number of copy Created in NX5.0.0. | |
double | PercentOffset () |
Returns the percent offset Created in NX5.0.0. | |
void | SetCollectorName (const NXString &collectorName) |
Sets the mesh collector name Created in NX5.0.0. | |
void | SetCollectorName (const char *collectorName) |
Sets the mesh collector name Created in NX5.0.0. | |
void | SetDistanceOption (NXOpen::CAE::ElementExtrudeBuilder::DistanceType distanceOption) |
Sets the distance option Created in NX5.0.0. | |
void | SetElementDimensionOption (NXOpen::CAE::ElementExtrudeBuilder::ElemDimType elementDimensionOption) |
Sets the element dimension option Created in NX5.0.0. | |
void | SetFlipState (int flipstate) |
Sets the flip state from the builder Created in NX5.0.0. | |
void | SetIncrement (int increment) |
Sets the increment Created in NX5.0.0. | |
void | SetLabel (int label) |
Sets the label Created in NX5.0.0. | |
void | SetMeshName (const NXString &meshName) |
Sets the mesh name Created in NX5.0.0. | |
void | SetMeshName (const char *meshName) |
Sets the mesh name Created in NX5.0.0. | |
void | SetMethodOption (NXOpen::CAE::ElementExtrudeBuilder::MethodType methodOption) |
Sets the method option Created in NX5.0.0. | |
void | SetNeutralName (const NXString &neutralName) |
Sets the element neutral name Created in NX5.0.0. | |
void | SetNeutralName (const char *neutralName) |
Sets the element neutral name Created in NX5.0.0. | |
void | SetNewMeshOption (NXOpen::CAE::ElementExtrudeBuilder::NewMeshType newMeshOption) |
Sets the new mesh option Created in NX5.0.0. | |
void | SetNumberOfCopy (int numberOfCopy) |
Sets the number of copy Created in NX5.0.0. | |
void | SetPercentOffset (double percentOffset) |
Sets the percent offset Created in NX5.0.0. | |
void | SetTwistOrigin (NXOpen::Point *twistOrigin) |
Sets the twist origin Created in NX5.0.0. | |
void | SetVector (NXOpen::Direction *vector) |
Sets the vector when extrude along vector Created in NX5.0.0. | |
NXOpen::Expression * | TwistAngle () |
Returns the twist angle Created in NX5.0.0. | |
NXOpen::Point * | TwistOrigin () |
Returns the twist origin Created in NX5.0.0. | |
NXOpen::Direction * | Vector () |
Returns the vector when extrude along vector Created in NX5.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a CAE::ElementExtrudeBuilder
To create a new instance of this class, use CAE::NodeElementManager::CreateElementExtrudeBuilder
Created in NX5.0.0.
NXString NXOpen::CAE::ElementExtrudeBuilder::CollectorName | ( | ) |
Returns the mesh collector name
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::CAE::ElementExtrudeBuilder::Distance | ( | ) |
Returns the distance
Created in NX5.0.0.
License requirements : None
NXOpen::CAE::ElementExtrudeBuilder::DistanceType NXOpen::CAE::ElementExtrudeBuilder::DistanceOption | ( | ) |
Returns the distance option
Created in NX5.0.0.
License requirements : None
NXOpen::CAE::SelectCAEEdge* NXOpen::CAE::ElementExtrudeBuilder::Edge | ( | ) |
Returns the edge when extrude along path
Created in NX5.0.0.
License requirements : None
NXOpen::CAE::ElementExtrudeBuilder::ElemDimType NXOpen::CAE::ElementExtrudeBuilder::ElementDimensionOption | ( | ) |
Returns the element dimension option
Created in NX5.0.0.
License requirements : None
NXOpen::CAE::SelectElementsBuilder* NXOpen::CAE::ElementExtrudeBuilder::Elements | ( | ) |
Returns the selected elements
Created in NX5.0.0.
License requirements : None
NXOpen::CAE::ElementTypeBuilder* NXOpen::CAE::ElementExtrudeBuilder::ElementType | ( | ) |
Returns the element type builder.
Created in NX6.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
NXOpen::CAE::SelectCAEFaceList* NXOpen::CAE::ElementExtrudeBuilder::Face | ( | ) |
Returns the face when extrude by project to surface
Created in NX5.0.0.
License requirements : None
void NXOpen::CAE::ElementExtrudeBuilder::Flip | ( | ) |
Flip the direction of extrude - not journalled
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
int NXOpen::CAE::ElementExtrudeBuilder::FlipState | ( | ) |
Returns the flip state from the builder
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
int NXOpen::CAE::ElementExtrudeBuilder::Increment | ( | ) |
Returns the increment
Created in NX5.0.0.
License requirements : None
int NXOpen::CAE::ElementExtrudeBuilder::Label | ( | ) |
Returns the label
Created in NX5.0.0.
License requirements : None
NXString NXOpen::CAE::ElementExtrudeBuilder::MeshName | ( | ) |
Returns the mesh name
Created in NX5.0.0.
License requirements : None
NXOpen::CAE::ElementExtrudeBuilder::MethodType NXOpen::CAE::ElementExtrudeBuilder::MethodOption | ( | ) |
Returns the method option
Created in NX5.0.0.
License requirements : None
NXString NXOpen::CAE::ElementExtrudeBuilder::NeutralName | ( | ) |
Returns the element neutral name
Created in NX5.0.0.
License requirements : None
NXOpen::CAE::ElementExtrudeBuilder::NewMeshType NXOpen::CAE::ElementExtrudeBuilder::NewMeshOption | ( | ) |
Returns the new mesh option
Created in NX5.0.0.
License requirements : None
int NXOpen::CAE::ElementExtrudeBuilder::NumberOfCopy | ( | ) |
Returns the number of copy
Created in NX5.0.0.
License requirements : None
double NXOpen::CAE::ElementExtrudeBuilder::PercentOffset | ( | ) |
Returns the percent offset
Created in NX5.0.0.
License requirements : None
void NXOpen::CAE::ElementExtrudeBuilder::SetCollectorName | ( | const NXString & | collectorName | ) |
Sets the mesh collector name
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
collectorName | collectorname |
void NXOpen::CAE::ElementExtrudeBuilder::SetCollectorName | ( | const char * | collectorName | ) |
Sets the mesh collector name
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
collectorName | collectorname |
void NXOpen::CAE::ElementExtrudeBuilder::SetDistanceOption | ( | NXOpen::CAE::ElementExtrudeBuilder::DistanceType | distanceOption | ) |
Sets the distance option
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
distanceOption | distanceoption |
void NXOpen::CAE::ElementExtrudeBuilder::SetElementDimensionOption | ( | NXOpen::CAE::ElementExtrudeBuilder::ElemDimType | elementDimensionOption | ) |
Sets the element dimension option
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
elementDimensionOption | elementdimensionoption |
void NXOpen::CAE::ElementExtrudeBuilder::SetFlipState | ( | int | flipstate | ) |
Sets the flip state from the builder
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
flipstate | flipstate |
void NXOpen::CAE::ElementExtrudeBuilder::SetIncrement | ( | int | increment | ) |
Sets the increment
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
increment | increment |
void NXOpen::CAE::ElementExtrudeBuilder::SetLabel | ( | int | label | ) |
Sets the label
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
label | label |
void NXOpen::CAE::ElementExtrudeBuilder::SetMeshName | ( | const NXString & | meshName | ) |
Sets the mesh name
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
meshName | meshname |
void NXOpen::CAE::ElementExtrudeBuilder::SetMeshName | ( | const char * | meshName | ) |
Sets the mesh name
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
meshName | meshname |
void NXOpen::CAE::ElementExtrudeBuilder::SetMethodOption | ( | NXOpen::CAE::ElementExtrudeBuilder::MethodType | methodOption | ) |
Sets the method option
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
methodOption | methodoption |
void NXOpen::CAE::ElementExtrudeBuilder::SetNeutralName | ( | const NXString & | neutralName | ) |
Sets the element neutral name
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
neutralName | neutralname |
void NXOpen::CAE::ElementExtrudeBuilder::SetNeutralName | ( | const char * | neutralName | ) |
Sets the element neutral name
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
neutralName | neutralname |
void NXOpen::CAE::ElementExtrudeBuilder::SetNewMeshOption | ( | NXOpen::CAE::ElementExtrudeBuilder::NewMeshType | newMeshOption | ) |
Sets the new mesh option
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
newMeshOption | newmeshoption |
void NXOpen::CAE::ElementExtrudeBuilder::SetNumberOfCopy | ( | int | numberOfCopy | ) |
Sets the number of copy
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
numberOfCopy | numberofcopy |
void NXOpen::CAE::ElementExtrudeBuilder::SetPercentOffset | ( | double | percentOffset | ) |
Sets the percent offset
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
percentOffset | percentoffset |
void NXOpen::CAE::ElementExtrudeBuilder::SetTwistOrigin | ( | NXOpen::Point * | twistOrigin | ) |
Sets the twist origin
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
twistOrigin | twistorigin |
void NXOpen::CAE::ElementExtrudeBuilder::SetVector | ( | NXOpen::Direction * | vector | ) |
Sets the vector when extrude along vector
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
vector | vector |
NXOpen::Expression* NXOpen::CAE::ElementExtrudeBuilder::TwistAngle | ( | ) |
Returns the twist angle
Created in NX5.0.0.
License requirements : None
NXOpen::Point* NXOpen::CAE::ElementExtrudeBuilder::TwistOrigin | ( | ) |
Returns the twist origin
Created in NX5.0.0.
License requirements : None
NXOpen::Direction* NXOpen::CAE::ElementExtrudeBuilder::Vector | ( | ) |
Returns the vector when extrude along vector
Created in NX5.0.0.
License requirements : None